;;; -*- Mode: Lisp; Syntax: Ansi-Common-Lisp; Base: 10 -*-

#|
Copyright (c) 2007, Sunil Mishra
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright
      notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright
      notice, this list of conditions and the following disclaimer in the
      documentation and/or other materials provided with the distribution.
    * The names of its contributors may not be used to endorse or promote
      products derived from this software without specific prior written
      permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGE.
|#

;;; $Id: fret.asd 208 2007-10-07 22:12:38Z smishra $

#+sbcl
(require "SB-INTROSPECT")

(defsystem fret
  :description "Framework for Regression Testing"
  :author "Sunil Mishra <smishra@sfmishras.com>"
  :version "0.4"
  :license "BSD"
  :components ((:module src
	        :components ((:file "package")
			     (:file "test-framework")
			     (:file "test-output")
			     (:file "defs")
			     (:file "test-object")
			     (:file "test-case")
			     (:file "test-suite")
			     (:file "test-script")
			     (:file "test-runner")
			     (:file "test-result")
			     (:file "storage")
			     (:file "modify")
			     (:file "asdf-interface"))
		:serial t)))

;;; EOF
